aboutsummaryrefslogtreecommitdiff
path: root/package/efl/Config.in
diff options
context:
space:
mode:
Diffstat (limited to 'package/efl/Config.in')
-rw-r--r--package/efl/Config.in7
1 files changed, 5 insertions, 2 deletions
diff --git a/package/efl/Config.in b/package/efl/Config.in
index 738bfcd010..d4a8762de0 100644
--- a/package/efl/Config.in
+++ b/package/efl/Config.in
@@ -1,6 +1,7 @@
config BR2_PACKAGE_EFL
bool "efl"
depends on BR2_TOOLCHAIN_GCC_AT_LEAST_4_9 # C++11
+ depends on BR2_HOST_GCC_AT_LEAST_4_9 # host-efl
depends on BR2_INSTALL_LIBSTDCPP
depends on BR2_TOOLCHAIN_HAS_THREADS # untested without threads
depends on BR2_USE_MMU
@@ -255,6 +256,7 @@ config BR2_PACKAGE_EFL_TIFF
config BR2_PACKAGE_EFL_WEBP
bool "libevas webp image loader"
select BR2_PACKAGE_WEBP
+ select BR2_PACKAGE_WEBP_DEMUX
help
This enables the loader code that loads images using WebP.
@@ -281,8 +283,9 @@ comment "SVG loader needs a toolchain w/ gcc >= 4.8"
endif # BR2_PACKAGE_EFL
-comment "efl needs a toolchain w/ C++, dynamic library, gcc >= 4.9, threads, wchar"
+comment "efl needs a toolchain w/ C++, dynamic library, gcc >= 4.9, host gcc >= 4.9, threads, wchar"
depends on !BR2_INSTALL_LIBSTDCPP \
|| !BR2_TOOLCHAIN_GCC_AT_LEAST_4_9 \
- || BR2_STATIC_LIBS || !BR2_TOOLCHAIN_HAS_THREADS || !BR2_USE_WCHAR
+ || !BR2_HOST_GCC_AT_LEAST_4_9 || BR2_STATIC_LIBS \
+ || !BR2_TOOLCHAIN_HAS_THREADS || !BR2_USE_WCHAR
depends on BR2_USE_MMU